# create\_columns\_from\_df

Helper function to create Columns from a pandas DataFrame column dtypes. timedelta, period, interval & object dtypes are converted to string. Sparse dtypes are not handled.

* **df**: Input pandas DataFrame

## Returns

ModelSchema **Return type:** *ModelSchema*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fiddler.ai/api/fiddler-python-client-sdk/utils/create-columns-from-df.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
